package cn.qg.qaplatform.common.enums;

/**
 * 定义错误类别
 */
public enum ErrorType {
    SUCCESS(200L, "请求成功"),
    CLIENT_FAILED(400L, "客户端请求失败"),
    SERVER_FAILED(500L, "服务器异常");

    private Long code;
    private String message;

    ErrorType(Long code, String message) {
        this.code = code;
        this.message = message;
    }

    public Long getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }
}
